> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/datamart-management/reference-tables.md).

# Reference Tables

Operations related to Reference Tables that enable improved search of Audience Features by final value in the Standard Segment Builder. Reference Tables map technical values to business-friendly labels, allowing users to search for audience criteria using natural language terms and improving the usability of segment building for non-technical users.

## GET /datamarts/{datamart\_id}/reference\_table\_job\_executions/{id}

> Find a reference table job execution from a given datamart

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Reference Tables","description":"Operations related to Reference Tables that enable improved search of Audience Features by final value in the Standard Segment Builder. Reference Tables map technical values to business-friendly labels, allowing users to search for audience criteria using natural language terms and improving the usability of segment building for non-technical users."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/reference_table_job_executions/{id}":{"get":{"summary":"Find a reference table job execution from a given datamart","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/NewPublicJobExecutionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getReferenceTableJobExecution","tags":["Reference Tables"],"parameters":[{"explode":false,"required":true,"schema":{"type":"integer","format":"int64"},"in":"path","style":"simple","name":"datamart_id"},{"name":"id","schema":{"type":"integer","format":"int64"},"style":"simple","explode":false,"required":true,"in":"path"}],"description":""}}},"components":{"schemas":{"NewPublicJobExecutionResource":{"allOf":[{"$ref":"#/components/schemas/NewReadOnlyPublicJobExecutionResource"},{"type":"object","properties":{"organisation_id":{"type":"string","readOnly":false},"start_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"job_type":{"type":"string","readOnly":false},"num_tasks":{"type":"integer","format":"int64","default":0,"readOnly":false},"community_id":{"type":"string","readOnly":true},"completed_tasks":{"type":"integer","format":"int64","default":0,"readOnly":false},"max_retry_count":{"type":"integer","format":"int32","default":0,"readOnly":false},"parameters":{"type":"string","readOnly":false},"result":{"type":"string","readOnly":false},"duration":{"$ref":"#/components/schemas/Duration"},"cancel_status":{"$ref":"#/components/schemas/CancelStatus"},"is_retryable":{"type":"boolean","default":false,"readOnly":false},"status":{"$ref":"#/components/schemas/JobExecutionPublicStatus"},"creation_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"user_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":false},"erroneous_tasks":{"type":"integer","format":"int64","default":0,"readOnly":false},"retry_count":{"type":"integer","format":"int32","default":0,"readOnly":false},"permalink_uri":{"type":"string","readOnly":false},"debug":{"type":"string","readOnly":false},"external_name":{"type":"string","readOnly":false}},"required":["creation_date","id","is_retryable","job_type","permalink_uri","retry_count","status"]}]},"NewReadOnlyPublicJobExecutionResource":{"type":"object"},"Duration":{"type":"number","description":"a length of time in milliseconds"},"CancelStatus":{"type":"string","enum":["REQUESTED","IN_PROGRESS","CANCELED","ABORTED"],"readOnly":false},"JobExecutionPublicStatus":{"type":"string","enum":["PENDING","RUNNING","SUCCEEDED","FAILED","CANCELED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /datamarts/{datamart\_id}/reference\_table\_job\_executions

> List the reference table import job executions

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Reference Tables","description":"Operations related to Reference Tables that enable improved search of Audience Features by final value in the Standard Segment Builder. Reference Tables map technical values to business-friendly labels, allowing users to search for audience criteria using natural language terms and improving the usability of segment building for non-technical users."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/reference_table_job_executions":{"get":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"max_results":{"type":"integer"},"count":{"type":"integer"},"first_result":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/NewPublicJobExecutionResource"}},"status":{"type":"string","enum":["ok"]},"total":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"listReferenceTableJobExecutions","parameters":[{"explode":false,"style":"simple","required":true,"in":"path","name":"datamart_id","schema":{"type":"integer","format":"int64"}},{"explode":true,"style":"form","required":false,"in":"query","description":"Offset from which the search must be performed","schema":{"type":"integer","format":"int32"},"name":"first_result"},{"in":"query","explode":true,"style":"form","description":"Number of maximum items that shall be return by this search","name":"max_results","schema":{"type":"integer","format":"int32"},"required":false},{"style":"form","description":"Fields used to order the result","in":"query","required":false,"name":"order_by","schema":{"type":"string"},"explode":true},{"required":false,"description":"The status of the job (PENDING/RUNNING/SUCCEEDED/FAILED)","style":"form","name":"status","in":"query","explode":true,"schema":{"$ref":"#/components/schemas/JobExecutionPublicStatus"}}],"summary":"List the reference table import job executions","description":"","tags":["Reference Tables"]}}},"components":{"schemas":{"NewPublicJobExecutionResource":{"allOf":[{"$ref":"#/components/schemas/NewReadOnlyPublicJobExecutionResource"},{"type":"object","properties":{"organisation_id":{"type":"string","readOnly":false},"start_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"job_type":{"type":"string","readOnly":false},"num_tasks":{"type":"integer","format":"int64","default":0,"readOnly":false},"community_id":{"type":"string","readOnly":true},"completed_tasks":{"type":"integer","format":"int64","default":0,"readOnly":false},"max_retry_count":{"type":"integer","format":"int32","default":0,"readOnly":false},"parameters":{"type":"string","readOnly":false},"result":{"type":"string","readOnly":false},"duration":{"$ref":"#/components/schemas/Duration"},"cancel_status":{"$ref":"#/components/schemas/CancelStatus"},"is_retryable":{"type":"boolean","default":false,"readOnly":false},"status":{"$ref":"#/components/schemas/JobExecutionPublicStatus"},"creation_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"user_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":false},"erroneous_tasks":{"type":"integer","format":"int64","default":0,"readOnly":false},"retry_count":{"type":"integer","format":"int32","default":0,"readOnly":false},"permalink_uri":{"type":"string","readOnly":false},"debug":{"type":"string","readOnly":false},"external_name":{"type":"string","readOnly":false}},"required":["creation_date","id","is_retryable","job_type","permalink_uri","retry_count","status"]}]},"NewReadOnlyPublicJobExecutionResource":{"type":"object"},"Duration":{"type":"number","description":"a length of time in milliseconds"},"CancelStatus":{"type":"string","enum":["REQUESTED","IN_PROGRESS","CANCELED","ABORTED"],"readOnly":false},"JobExecutionPublicStatus":{"type":"string","enum":["PENDING","RUNNING","SUCCEEDED","FAILED","CANCELED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /datamarts/{datamart\_id}/reference\_table\_job\_executions

> Post a file to start the reference table import job execution

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Reference Tables","description":"Operations related to Reference Tables that enable improved search of Audience Features by final value in the Standard Segment Builder. Reference Tables map technical values to business-friendly labels, allowing users to search for audience criteria using natural language terms and improving the usability of segment building for non-technical users."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/reference_table_job_executions":{"post":{"summary":"Post a file to start the reference table import job execution","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/NewPublicJobExecutionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Reference Tables"],"operationId":"createReferenceTableJobExecution","parameters":[{"in":"path","explode":false,"name":"datamart_id","required":true,"style":"simple","schema":{"type":"integer","format":"int64"}},{"description":"Defaults to true. Indicates whether to check schema / imported file compatibility before triggering the job.","name":"check_schema_compatibility","explode":true,"style":"form","required":false,"schema":{"type":"boolean"},"in":"query"}],"requestBody":{"description":"The reference table","content":{"text/csv":{"schema":{"type":"string"}}},"required":true},"description":""}}},"components":{"schemas":{"NewPublicJobExecutionResource":{"allOf":[{"$ref":"#/components/schemas/NewReadOnlyPublicJobExecutionResource"},{"type":"object","properties":{"organisation_id":{"type":"string","readOnly":false},"start_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"job_type":{"type":"string","readOnly":false},"num_tasks":{"type":"integer","format":"int64","default":0,"readOnly":false},"community_id":{"type":"string","readOnly":true},"completed_tasks":{"type":"integer","format":"int64","default":0,"readOnly":false},"max_retry_count":{"type":"integer","format":"int32","default":0,"readOnly":false},"parameters":{"type":"string","readOnly":false},"result":{"type":"string","readOnly":false},"duration":{"$ref":"#/components/schemas/Duration"},"cancel_status":{"$ref":"#/components/schemas/CancelStatus"},"is_retryable":{"type":"boolean","default":false,"readOnly":false},"status":{"$ref":"#/components/schemas/JobExecutionPublicStatus"},"creation_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"user_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":false},"erroneous_tasks":{"type":"integer","format":"int64","default":0,"readOnly":false},"retry_count":{"type":"integer","format":"int32","default":0,"readOnly":false},"permalink_uri":{"type":"string","readOnly":false},"debug":{"type":"string","readOnly":false},"external_name":{"type":"string","readOnly":false}},"required":["creation_date","id","is_retryable","job_type","permalink_uri","retry_count","status"]}]},"NewReadOnlyPublicJobExecutionResource":{"type":"object"},"Duration":{"type":"number","description":"a length of time in milliseconds"},"CancelStatus":{"type":"string","enum":["REQUESTED","IN_PROGRESS","CANCELED","ABORTED"],"readOnly":false},"JobExecutionPublicStatus":{"type":"string","enum":["PENDING","RUNNING","SUCCEEDED","FAILED","CANCELED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /datamarts/{datamart\_id}/reference\_table\_values

> Get the reference table final values matching given final values

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Reference Tables","description":"Operations related to Reference Tables that enable improved search of Audience Features by final value in the Standard Segment Builder. Reference Tables map technical values to business-friendly labels, allowing users to search for audience criteria using natural language terms and improving the usability of segment building for non-technical users."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/reference_table_values":{"get":{"parameters":[{"in":"path","schema":{"type":"integer","format":"int64"},"explode":false,"style":"simple","required":true,"name":"datamart_id"},{"description":"The list of final values the user is searching for","style":"form","required":true,"in":"query","schema":{"type":"string"},"name":"keywords","explode":true}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ReferenceTableValues"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Reference Tables"],"description":"","operationId":"getReferenceTableValues","summary":"Get the reference table final values matching given final values"}}},"components":{"schemas":{"ReferenceTableValues":{"type":"object","properties":{"values":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":true}},"required":["values"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /datamarts/{datamart\_id}/reference\_table\_job\_executions/{id}/action

> Perform an action on the reference table import job

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Reference Tables","description":"Operations related to Reference Tables that enable improved search of Audience Features by final value in the Standard Segment Builder. Reference Tables map technical values to business-friendly labels, allowing users to search for audience criteria using natural language terms and improving the usability of segment building for non-technical users."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/reference_table_job_executions/{id}/action":{"post":{"description":"","operationId":"performReferenceTableExecutionAction","summary":"Perform an action on the reference table import job","requestBody":{"description":"The action to perform","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MakeJobExecutionActionResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/NewPublicJobExecutionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Reference Tables"],"parameters":[{"style":"simple","name":"datamart_id","schema":{"type":"integer","format":"int64"},"in":"path","explode":false,"required":true},{"schema":{"type":"integer","format":"int64"},"required":true,"in":"path","name":"id","explode":false,"style":"simple"}]}}},"components":{"schemas":{"MakeJobExecutionActionResource":{"type":"object","properties":{"action":{"$ref":"#/components/schemas/JobExecutionAction"}},"required":["action"]},"JobExecutionAction":{"type":"string","enum":["CANCEL"],"readOnly":false},"NewPublicJobExecutionResource":{"allOf":[{"$ref":"#/components/schemas/NewReadOnlyPublicJobExecutionResource"},{"type":"object","properties":{"organisation_id":{"type":"string","readOnly":false},"start_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"job_type":{"type":"string","readOnly":false},"num_tasks":{"type":"integer","format":"int64","default":0,"readOnly":false},"community_id":{"type":"string","readOnly":true},"completed_tasks":{"type":"integer","format":"int64","default":0,"readOnly":false},"max_retry_count":{"type":"integer","format":"int32","default":0,"readOnly":false},"parameters":{"type":"string","readOnly":false},"result":{"type":"string","readOnly":false},"duration":{"$ref":"#/components/schemas/Duration"},"cancel_status":{"$ref":"#/components/schemas/CancelStatus"},"is_retryable":{"type":"boolean","default":false,"readOnly":false},"status":{"$ref":"#/components/schemas/JobExecutionPublicStatus"},"creation_date":{"type":"integer","format":"int64","default":0,"readOnly":false},"user_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":false},"erroneous_tasks":{"type":"integer","format":"int64","default":0,"readOnly":false},"retry_count":{"type":"integer","format":"int32","default":0,"readOnly":false},"permalink_uri":{"type":"string","readOnly":false},"debug":{"type":"string","readOnly":false},"external_name":{"type":"string","readOnly":false}},"required":["creation_date","id","is_retryable","job_type","permalink_uri","retry_count","status"]}]},"NewReadOnlyPublicJobExecutionResource":{"type":"object"},"Duration":{"type":"number","description":"a length of time in milliseconds"},"CancelStatus":{"type":"string","enum":["REQUESTED","IN_PROGRESS","CANCELED","ABORTED"],"readOnly":false},"JobExecutionPublicStatus":{"type":"string","enum":["PENDING","RUNNING","SUCCEEDED","FAILED","CANCELED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /datamarts/{datamart\_id}/reference\_table\_variables

> Get reference table variables given final values

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Reference Tables","description":"Operations related to Reference Tables that enable improved search of Audience Features by final value in the Standard Segment Builder. Reference Tables map technical values to business-friendly labels, allowing users to search for audience criteria using natural language terms and improving the usability of segment building for non-technical users."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/reference_table_variables":{"get":{"summary":"Get reference table variables given final values","parameters":[{"in":"path","required":true,"name":"datamart_id","schema":{"type":"string"},"explode":false,"style":"simple"},{"required":true,"schema":{"type":"string"},"in":"query","explode":true,"name":"keywords","description":"The list of keywords that are contained or equal to the final values to match","style":"form"},{"required":false,"explode":true,"name":"max_final_values","in":"query","style":"form","schema":{"type":"integer","format":"int32"},"description":"The maximum number of final values to search"}],"operationId":"getReferenceTableVariables","tags":["Reference Tables"],"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/ReferenceTableVariable"}},"max_results":{"type":"integer"},"first_result":{"type":"integer"},"count":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"ReferenceTableVariable":{"type":"object","properties":{"path":{"type":"string","readOnly":true},"values":{"type":"array","items":{"type":"string","readOnly":false},"readOnly":true}},"required":["path","values"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/datamart-management/reference-tables.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
